
From: Andrew Vasquez <andrew.vasquez@qlogic.com>

Again, the smp_processor_id() is used only as a heuristic.  The attached
patch should quash the noise.

Signed-off-by: Andrew Vasquez <andrew.vasquez@qlogic.com> 
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/scsi/qla2xxx/qla_isr.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/scsi/qla2xxx/qla_isr.c~qlogic-warning-fixes drivers/scsi/qla2xxx/qla_isr.c
--- 25/drivers/scsi/qla2xxx/qla_isr.c~qlogic-warning-fixes	2005-02-08 22:55:07.000000000 -0800
+++ 25-akpm/drivers/scsi/qla2xxx/qla_isr.c	2005-02-08 22:55:33.000000000 -0800
@@ -94,7 +94,7 @@ qla2100_intr_handler(int irq, void *dev_
 	spin_unlock_irqrestore(&ha->hardware_lock, flags);
 
 	qla2x00_next(ha);
-	ha->last_irq_cpu = smp_processor_id();
+	ha->last_irq_cpu = _smp_processor_id();
 	ha->total_isr_cnt++;
 
 	if (test_bit(MBX_INTR_WAIT, &ha->mbx_cmd_flags) &&
@@ -207,7 +207,7 @@ qla2300_intr_handler(int irq, void *dev_
 	spin_unlock_irqrestore(&ha->hardware_lock, flags);
 
 	qla2x00_next(ha);
-	ha->last_irq_cpu = smp_processor_id();
+	ha->last_irq_cpu = _smp_processor_id();
 	ha->total_isr_cnt++;
 
 	if (test_bit(MBX_INTR_WAIT, &ha->mbx_cmd_flags) &&
_
